uulib-0.9.15: Haskell Utrecht Tools Library

Safe Haskell | None

UU.Parsing.CharParser

# Documentation

type CharParser = AnaParser Input Pair Char Pos Source

data Input Source

Constructors

Input String !Pos |

Instances

InputState Input Char Pos |

parseString :: CharParser a -> [Char] -> Steps (Pair a (Pair Input ())) Char Pos Source

parseStringIO :: (Message Char Pos -> String) -> CharParser a -> [Char] -> IO aSource

parseFile :: (Message Char Pos -> String) -> CharParser a -> [Char] -> IO aSource